<?php

include('../common/parseargs.php');

$USAGE=" --disksafename=<groupname> --agentid=<agentid> --volumeid=<volumeid> --compressiontype=<compressiontype> --compressionlevel=<compressionlevel> --devicebackuptype=<devicebackuptype> ";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$DISKSAFENAME=$args_array['disksafename'];
$AGENTID=$args_array['agentid'];
$VOLUMEID=$args_array['volumeid'];
$COMPRESSIONTYPE=$args_array['compressiontype'];
$COMPRESSIONLEVEL=$args_array['compressionlevel'];
$DEVICEBACKUPTYPE=$args_array['devicebackuptype'];


if (strlen($DISKSAFENAME) < 1) {
	echo "ERROR: --disksafename=<disksafename> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($AGENTID) < 1) {
	echo "ERROR: --agentid=<agentid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($VOLUMEID) < 1) {
	echo "ERROR: --volumeid=<volumeid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($COMPRESSIONLEVEL) < 1) {
	echo "ERROR: --compressionlevel=<compressionlevel> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($COMPRESSIONTYPE) < 1) {
	echo "ERROR: --compressiontype=<compressiontype> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($DEVICEBACKUPTYPE) < 1) {
	echo "ERROR: --devicebackuptype=<devicebackuptype> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}
try{
	$client = new soapclient("https://$HOST:$PORT/DiskSafe?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response=$client->createDiskSafeOnVolume(
		array(
		'name'=>"$DISKSAFENAME", 
		'agentID'=>"$AGENTID",
		'volumeID'=>"$VOLUMEID",
		'compressionType'=>"$COMPRESSIONTYPE",
		'compressionLevel'=>"$COMPRESSIONLEVEL",
		'deviceBackupType'=>"$DEVICEBACKUPTYPE"
	 	)
	);

	echo "Successfully executed createDiskSafe\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}
?> 
